ByCloud Docs
GuidesCLIAPISDK
get/v1/pools/{pool_id}

Get pool

Get details of a specific pool

Path Parameters

pool_id

string<uuid>required

path

Pool ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Pool details

Content-Type: application/json

pool

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/pools/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Pool details

{
"pool": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:loadbalancer:pool:550e8400-e29b-41d4-a716-446655440000",
"name": "web-pool",
"description": "string",
"provisioning_status": "ACTIVE",
"operating_status": "ONLINE",
"protocol": "HTTP",
"lb_algorithm": "ROUND_ROBIN",
"session_persistence": {
"type": "HTTP_COOKIE",
"cookie_name": "string",
"persistence_timeout": 0,
"persistence_granularity": "string"
},
"listeners": [
{
"id": "550e8400-e29b-41d4-a716-446655440000"
}
],
"members": [
{
"id": "550e8400-e29b-41d4-a716-446655440000"
}
],
"healthmonitor_id": "550e8400-e29b-41d4-a716-446655440000",
"load_balancer_id": "550e8400-e29b-41d4-a716-446655440000",
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}